Subject: Re: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Dani Moncayo <[email-masked]>
Date: Sat, 28 Jul 2012 21:01:22 +0200

> I agree that the mark should be deactivated.  But the current behavior
> has been in place for a long time, so this change can probably wait till
> after the release.

Ping (again).

Summing up, I find annoying that the following commands currently
don't deactivate the mark at the end (when invoked in transient mark
mode, when the mark is active):
  copy-to-register
  copy-rectangle-to-register
  kill-rectangle (from a read-only buffer)

and I've found a couple more:
  narrow-to-region
  c-indent-line-or-region (when the region is already well indented)

TIA.

-- 
Dani Moncayo